/webhook/:id

Update the specified webhook

Recent Requests
Log in to see full request history
TimeStatusUser Agent
Retrieving recent requests…
LoadingLoading…

Update the specified webhook

PUT /api/v2/webhook/12345.json HTTP/1.1
Host: www.formstack.com
Authorization: Bearer [[app:oauth_token]]
Accept: application/json
Content-Type: application/json

url=http%3A%2F%2Fwww.example.com
curl -X PUT -i -H "Accept: application/json" -H "Content-Type: application/json" -H "Authorization: Bearer [[app:oauth_token]]" -d "url=http%3A%2F%2Fwww.example.com" https://www.formstack.com/api/v2/webhook/12345.json

Field Logic

See Field Logic for more information about the logic property.

Path Params
int32
required

Webhook ID

Body Params
string
required

The webhook URL

string
Defaults to Submit Action

The webhook name

string

Used to help you prevent unauthorized calls to the webhook url

string
Defaults to urlencoded

Content Type of webhook data (urlencoded or json)

boolean
Defaults to false

Flag to use field IDs as array keys in webhook data

boolean
Defaults to false

Flag to not include subfield names in webhook data

boolean
Defaults to false

Flag to include field type in webhook data

boolean
Defaults to false

Flag to make the structure of the webhook data be consistent. So always an array or string for a field value and not a combination depending on the submitted data.

Responses

Language
Credentials
OAuth2
LoadingLoading…
Response
Click Try It! to start a request and see the response here! Or choose an example:
application/json